searchNodes=[{"ref":"Velocy.html","title":"Velocy","type":"module","doc":"An Elixir parser and generator for VelocyPack v1. Large majority of the code is taken from https://github.com/ArangoDB-Community/velocy_pack. The implementation is heavily inspired by Jason and borrows some code (specifically the Codegen module). Examples iex&gt; {:ok, vpack} = Velocy.encode(10.2312514) {:ok, &lt;&lt;27, 245, 78, 96, 149, 102, 118, 36, 64&gt;&gt;} iex&gt; Velocy.decode(vpack) {:ok, 10.2312514} iex&gt; vpack = Velocy.encode!(%{a: &quot;a&quot;, b: %{bool: true, float: 10.2312514}}) &lt;&lt;11, 37, 2, 65, 97, 65, 97, 65, 98, 11, 26, 2, 68, 98, 111, 111, 108, 26, 69, 102, 108, 111, 97, 116, 27, 245, 78, 96, 149, 102, 118, 36, 64, 3, 9, 3, 7&gt;&gt; iex&gt; Velocy.decode!(vpack) %{&quot;a&quot; =&gt; &quot;a&quot;, &quot;b&quot; =&gt; %{&quot;bool&quot; =&gt; true, &quot;float&quot; =&gt; 10.2312514}} iex&gt; Velocy.decode(&lt;&lt;11&gt;&gt;) {:error, %Velocy.Error{message: &quot;unexpected sequence&quot;, dump: nil}} iex&gt; Velocy.decode!(&lt;&lt;11&gt;&gt;) ** (Velocy.Error) unexpected sequence iex&gt; Velocy.decode(&lt;&lt;11, 823891328731&gt;&gt;) {:error, %Velocy.Error{message: &quot;unexpected byte&quot;, dump: &quot;0xdb&quot;}} iex&gt; Velocy.decode!(&lt;&lt;11, 823891328731&gt;&gt;) ** (Velocy.Error) unexpected byte: 0xdb"},{"ref":"Velocy.html#decode/2","title":"Velocy.decode/2","type":"function","doc":"Parses the the first VelocyPack value from a binary or iodata. The options parameter is reserved for future use and not used at the moment."},{"ref":"Velocy.html#decode!/2","title":"Velocy.decode!/2","type":"function","doc":"Parses the the first VelocyPack value from a binary or iodata. Same as decode/2 except it will unwrap the tuple and raise in case of errors."},{"ref":"Velocy.html#encode/2","title":"Velocy.encode/2","type":"function","doc":"Generates a VelocyPack value as a binary corresponding to term. The generation is controlled by the Velocy.Encoder protocol, please refer to the module to read more on how to define the protocol for custom data types. The options parameter is reserved for future use and not used at the moment."},{"ref":"Velocy.html#encode!/2","title":"Velocy.encode!/2","type":"function","doc":"Generates a VelocyPack value as a binary corresponding to term. Same as encode/2 except it will unwrap the tuple and raise in case of errors."},{"ref":"Velocy.html#t:vpack/0","title":"Velocy.vpack/0","type":"type","doc":""},{"ref":"Velocy.Encode.html","title":"Velocy.Encode","type":"module","doc":""},{"ref":"Velocy.Encode.html#atom/1","title":"Velocy.Encode.atom/1","type":"function","doc":""},{"ref":"Velocy.Encode.html#build_index_table_1/3","title":"Velocy.Encode.build_index_table_1/3","type":"function","doc":""},{"ref":"Velocy.Encode.html#build_index_table_2/3","title":"Velocy.Encode.build_index_table_2/3","type":"function","doc":""},{"ref":"Velocy.Encode.html#build_index_table_4/3","title":"Velocy.Encode.build_index_table_4/3","type":"function","doc":""},{"ref":"Velocy.Encode.html#build_index_table_8/3","title":"Velocy.Encode.build_index_table_8/3","type":"function","doc":""},{"ref":"Velocy.Encode.html#encode/2","title":"Velocy.Encode.encode/2","type":"function","doc":""},{"ref":"Velocy.Encode.html#float/1","title":"Velocy.Encode.float/1","type":"function","doc":""},{"ref":"Velocy.Encode.html#integer/1","title":"Velocy.Encode.integer/1","type":"function","doc":""},{"ref":"Velocy.Encode.html#list/2","title":"Velocy.Encode.list/2","type":"function","doc":""},{"ref":"Velocy.Encode.html#map/2","title":"Velocy.Encode.map/2","type":"function","doc":""},{"ref":"Velocy.Encode.html#string/1","title":"Velocy.Encode.string/1","type":"function","doc":""},{"ref":"Velocy.Encoder.html","title":"Velocy.Encoder","type":"protocol","doc":"Protocol controlling how a value is encoded to Velocy."},{"ref":"Velocy.Encoder.html#encode/2","title":"Velocy.Encoder.encode/2","type":"function","doc":""},{"ref":"Velocy.Encoder.html#t:t/0","title":"Velocy.Encoder.t/0","type":"type","doc":""},{"ref":"Velocy.Error.html","title":"Velocy.Error","type":"exception","doc":""},{"ref":"readme.html","title":"Velocy","type":"extras","doc":"Velocy An Elixir parser and generator for VelocyPack v1. Large majority of the code is taken from https://github.com/ArangoDB-Community/velocy_pack. The implementation is heavily inspired by Jason and borrows some code (specifically the Codegen module)."},{"ref":"readme.html#examples","title":"Velocy - Examples","type":"extras","doc":"iex&gt; {:ok, vpack} = Velocy.encode(10.2312514) {:ok, &lt;&lt;27, 245, 78, 96, 149, 102, 118, 36, 64&gt;&gt;} iex&gt; Velocy.decode(vpack) {:ok, 10.2312514} iex&gt; vpack = Velocy.encode!(%{a: &quot;a&quot;, b: %{bool: true, float: 10.2312514}}) &lt;&lt;11, 37, 2, 65, 97, 65, 97, 65, 98, 11, 26, 2, 68, 98, 111, 111, 108, 26, 69, 102, 108, 111, 97, 116, 27, 245, 78, 96, 149, 102, 118, 36, 64, 3, 9, 3, 7&gt;&gt; iex&gt; Velocy.decode!(vpack) %{&quot;a&quot; =&gt; &quot;a&quot;, &quot;b&quot; =&gt; %{&quot;bool&quot; =&gt; true, &quot;float&quot; =&gt; 10.2312514}} iex&gt; Velocy.decode(&lt;&lt;11&gt;&gt;) {:error, %Velocy.Error{message: &quot;unexpected sequence&quot;, dump: nil}} iex&gt; Velocy.decode!(&lt;&lt;11&gt;&gt;) ** (Velocy.Error) unexpected sequence iex&gt; Velocy.decode(&lt;&lt;11, 823891328731&gt;&gt;) {:error, %Velocy.Error{message: &quot;unexpected byte&quot;, dump: &quot;&lt;&lt;0xDB&gt;&gt;&quot;}} iex&gt; Velocy.decode!(&lt;&lt;11, 823891328731&gt;&gt;) ** (Velocy.Error) unexpected byte: &lt;&lt;0xDB&gt;&gt;"}]